# frozen_string_literal: true

require 'product-aggregator/version'
require 'product-aggregator/configuration'
require 'product-aggregator/connection'

# ProductAggregator is a ruby gem client for product aggregator
module ProductAggregator
  class << self
    attr_accessor :configuration
  end

  module_function

  def configuration
    @configuration ||= ProductAggregator::Configuration.new
  end

  def configure
    yield(configuration) if block_given?

    configuration.max_retry ||= 5
    configuration.expiration_time ||= 300
    configuration.circuit_breaker_timeout ||= 300
    configuration.circuit_breaker_threshold ||= 10
  end
end
